package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.qo.PageQO;
import com.gic.store.dao.mapper.TabStoreLogMapper;
import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.gic.store.service.StoreLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 15:48
 */
@Service("storeLogService")
public class StoreLogServiceImpl implements StoreLogService {

    @Autowired
    private TabStoreLogMapper tabStoreLogMapper;

    @Override
    public Integer saveStoreLog(StoreLogDTO storeLog) {
        TabStoreLog tabStoreLog = EntityUtil.changeEntityByJSON(TabStoreLog.class, storeLog);
        tabStoreLog.setCreateTime(new Date());
        tabStoreLog.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        return tabStoreLogMapper.insertSelective(tabStoreLog);
    }

    @Override
    public Page<TabStoreLog> listStoreLog(StoreLogDTO storeLogDTO, PageQO pageQO) {
        PageHelper.startPage(pageQO.getCurrentPage(), pageQO.getPageSize());
        return tabStoreLogMapper.listStoreLog(storeLogDTO);
    }
}
